

Since pdflush was converted to be launched by the kthread infrastructure it
has inherited keventd's `nice -10' setting.  That hurts interactivity when
pdflush is doing lots of work writing back through the dm-crypt layer.

So set pdflush back to `nice 0'.


---

 25-akpm/mm/pdflush.c |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN mm/pdflush.c~pdflush-nice-0 mm/pdflush.c
--- 25/mm/pdflush.c~pdflush-nice-0	2004-03-30 01:59:17.795116816 -0800
+++ 25-akpm/mm/pdflush.c	2004-03-30 02:02:29.865917616 -0800
@@ -177,6 +177,12 @@ static int __pdflush(struct pdflush_work
 static int pdflush(void *dummy)
 {
 	struct pdflush_work my_work;
+
+	/*
+	 * pdflush can spend a lot of time doing encryption via dm-crypt.  We
+	 * don't want to do that at keventd's priority.
+	 */
+	set_user_nice(current, 0);
 	return __pdflush(&my_work);
 }
 

_
